%function go
nh = 100;
ni = 200;
wh = rand(nh,ni) * 0.01;
x = rand(ni,1) * 0.01;
result = zeros(nh,1);

tic;
for rep = 1:100000
result = result + wh * x;
end
ti = toc;

fprintf(1,'Matlab: seconds %f  %f\n',ti,result(1));
